Subject: Re: [PATCH v4 01/14] submodule: don't access the .gitmodules cache entry after removing it

From: Heiko Voigt <[email-masked]>
Date: Thu, 07 Nov 2013 23:27:06 +0100

Hi,

it looks like there is a "From: Jens ..." line missing on top of this patch.

Am 07.11.2013 15:33, schrieb Karsten Blees:
> Commit 5fee995244e introduced the stage_updated_gitmodules() function to
> add submodule configuration updates to the index. It assumed that even
> after calling remove_cache_entry_at() the same cache entry would still be
> valid. This was true in the old days, as cache entries could never be
> freed, but that is not so sure in the present as there is ongoing work to
> free removed cache entries, which makes this code segfault.
>
> Fix that by calling add_file_to_cache() instead of open coding it. Also
> remove the "could not find .gitmodules in index" warning, as that won't
> happen in regular use cases (and by then just silently adding it to the
> index we do the right thing).
>
> Thanks-to: Karsten Blees <[email-masked]>
> Signed-off-by: Jens Lehmann <[email-masked]>
> Signed-off-by: Junio C Hamano <[email-masked]>

Cheers Heiko